#include "Difficulty.h"

u8 ammoPickupAmount = 5;
u8 chosenDifficulty = 0;
u8 maxOxygen = 200;
u8 oxygenPickupAmount = 20;
u16 oxygenDepletionTimerInterval = 400;
u8 maxOxygenPointAmount = 50;
u8 playerStartingHealth = 10;
u8 maxPlayerHealth = 10;
u8 healthPickupAmount = 3;
u8 spikeDamageAmount = 3;
u8 startingLivesCount = 3;

// The amount of health the player loses on colliding with an enemy.
u8 enemyDamageAmount = 1;

void setupDifficulty()
{
    ammoPickupAmount = 5;
    maxOxygen = 200;
    oxygenPickupAmount = 20;
    oxygenDepletionTimerInterval = DEFAULT_OXYGEN_DEPLETION_RATE;
    maxOxygenPointAmount = 30;
    playerStartingHealth = 10;
    maxPlayerHealth = 14;
    healthPickupAmount = 4;
    spikeDamageAmount = 3;
    startingLivesCount = 3;
    enemyDamageAmount = 1;

    if (chosenDifficulty == EASY_DIFFICULTY)
    {
        ammoPickupAmount = 7;
        oxygenPickupAmount = 30;
        maxOxygenPointAmount = 40;
        maxPlayerHealth = 18;
        healthPickupAmount = 6;
        startingLivesCount = 5;
        spikeDamageAmount = 2;
    }
    else if (chosenDifficulty == HARD_DIFFICULTY)
    {
        spikeDamageAmount = 4;
        startingLivesCount = 2;
        enemyDamageAmount = 2;
    }
}