#include "Item.h"

u8 itemScore(u8 type)
{
    // Score values have an extra 0 when displayed on the HUD.
    if (type == ITEM_GEM1 || type == ITEM_GEM2 || type == ITEM_GEM3)
    {
        // Gems get the most with 600.
        return 60;
    }
    else if (type == ITEM_DISK || type == ITEM_TAPE || type == ITEM_CIRCUIT_BOARD)
    {
        // Computer related items get 300.
        return 30;
    }
    else if (type >= ITEM_APPLE)
    {
        // Standard score items will get 100.
        return 10;
    }

    // Everything else is 0 as they serve a different purpose so no score is given.
    return 0;
}