#ifndef ITEM_H
#define ITEM_H

#include <types.h>

#define ITEM_KEY_RED 1
#define ITEM_KEY_GREEN 2
#define ITEM_KEY_YELLOW 3
#define ITEM_PROJECTILE_WEAPON 4
#define ITEM_SCUBA 5
#define ITEM_SPANNER 6
#define ITEM_DISK 7
#define ITEM_TAPE 8
#define ITEM_HEALTH 9
#define ITEM_PIPE 10
#define ITEM_PICK 11
#define ITEM_GEM1 12
#define ITEM_GEM2 13
#define ITEM_GEM3 14
#define ITEM_PROJECTILE_AMMO 15
#define ITEM_OXYGEN_TANK 16
#define ITEM_APPLE 17
#define ITEM_BANANA 18
#define ITEM_CHERRIES 19
#define ITEM_PEAR 20
#define ITEM_MUSHROOM 21
#define ITEM_CARROT 22
#define ITEM_GRAPES 23
#define ITEM_ICECREAM_CONE 24
#define ITEM_STRAWBERRY 25
#define ITEM_PIZZA 26
#define ITEM_FISH 27
#define ITEM_CIRCUIT_BOARD 28
#define ITEM_STARFISH 29

// Retrieve the score for the specified item type.
u8 itemScore(u8 type);

#endif