#include "HudSprites.h"

const u8 G_hud_health[24] = {
    0x30, 0x30, 0x30,
    0x30, 0x3C, 0x30,
    0x30, 0x3C, 0x30,
    0x3C, 0x3C, 0x3C,
    0x3C, 0x3C, 0x3C,
    0x30, 0x3C, 0x30,
    0x30, 0x3C, 0x30,
    0x30, 0x30, 0x30};

const u8 G_hud_lives[24] = {
    0x4C, 0xCC, 0x8C,
    0xC8, 0xC0, 0xC4,
    0xC0, 0x94, 0x68,
    0xC0, 0xC0, 0xC0,
    0xC0, 0xC0, 0xC0,
    0xC0, 0x90, 0x30,
    0x48, 0xC0, 0x84,
    0x1C, 0x3C, 0x2C};

const u8 G_hud_key_red[16] = {
    0x4C, 0xCC,
    0x4C, 0x0C,
    0x4C, 0x8C,
    0x4C, 0x0C,
    0x4C, 0x0C,
    0xCC, 0xCC,
    0x8C, 0x4C,
    0xCC, 0xCC};

const u8 G_hud_key_green[16] = {
    0x5D, 0xAE,
    0xFF, 0x0C,
    0x5D, 0xAE,
    0x5D, 0x0C,
    0x5D, 0x0C,
    0xFF, 0xFF,
    0xAE, 0x5D,
    0xFF, 0xFF};

const u8 G_hud_key_yellow[16] = {
    0x48, 0xC0,
    0x48, 0x48,
    0x48, 0x0C,
    0x48, 0x84,
    0x48, 0x0C,
    0xC0, 0xC0,
    0x84, 0x48,
    0xC0, 0xC0};

const u8 G_hud_projectile_weapon[24] = {
    0x59, 0xF3, 0xCC,
    0xF3, 0xF3, 0xF3,
    0xF3, 0xF3, 0xCC,
    0xF3, 0x59, 0x0C,
    0xF3, 0xF3, 0x0C,
    0xF3, 0x0C, 0x0C,
    0xF3, 0x0C, 0x0C,
    0x0C, 0x0C, 0x0C};

const u8 G_hud_scuba[24] = {
    0x0C, 0x0C, 0x0C,
    0xF0, 0xF0, 0xA4,
    0xF0, 0xF0, 0x24,
    0x18, 0x30, 0x24,
    0x18, 0x0C, 0x0C,
    0x18, 0xF0, 0xF0,
    0x18, 0xB0, 0x70,
    0x0C, 0x0C, 0x0C};

const u8 G_hud_oxygen[24] = {
    0x0C, 0x0C, 0x0C,
    0xF3, 0xF3, 0xA6,
    0xF3, 0xF3, 0xF3,
    0xF3, 0xF3, 0xF3,
    0xF3, 0xF3, 0xB2,
    0x18, 0x30, 0x24,
    0x24, 0x0C, 0x0C,
    0x0C, 0x0C, 0x0C};

const u8 G_hud_spanner[16] = {
    0xA6, 0x59,
    0xA6, 0x59,
    0xA6, 0x59,
    0x59, 0xA6,
    0x59, 0xA6,
    0x59, 0xA6,
    0x59, 0xA6,
    0x59, 0xA6};

const u8 G_hud_pipe[24] = {
    0x0C, 0x0C, 0x0C,
    0xF1, 0xF3, 0xA4,
    0x70, 0xF3, 0xF2,
    0x70, 0xF3, 0xF2,
    0x70, 0xF3, 0xF2,
    0x70, 0xF3, 0xF2,
    0xF1, 0xF3, 0xA4,
    0x0C, 0x0C, 0x0C};

const u8 G_hud_pick[24] = {
    0x0C, 0x59, 0x0C,
    0x0C, 0x0C, 0xA6,
    0x0C, 0x0C, 0xA6,
    0x0F, 0x0F, 0xA7,
    0x0C, 0x0C, 0xA6,
    0x0C, 0x0C, 0xA6,
    0x0C, 0x59, 0x0C,
    0x0C, 0x0C, 0x0C};

const u8 G_hud_disk[16] = {
    0xF0, 0xA4,
    0xF1, 0xA4,
    0xF0, 0xA4,
    0xB0, 0xA4,
    0xF0, 0xA4,
    0xCC, 0x8C,
    0x30, 0x24,
    0x30, 0x24};

const u8 G_hud_tape[16] = {
    0xB0, 0xA4,
    0x70, 0x24,
    0xB0, 0xA4,
    0xF0, 0xA4,
    0xF0, 0xA4,
    0xB0, 0xA4,
    0x70, 0x24,
    0xB0, 0xA4};

const u8 G_hud_pipe_location[24] = {
    0x59, 0xF0, 0xA6,
    0x59, 0xF0, 0xA6,
    0x59, 0xF0, 0xA6,
    0xF3, 0xF0, 0xF3,
    0xF3, 0xF0, 0xF3,
    0x59, 0xF0, 0xA6,
    0x59, 0xF0, 0xA6,
    0x59, 0xF0, 0xA6};

const u8 G_hud_machinery[24] = {
    0x0C, 0x0C, 0x0C,
    0xF3, 0xF3, 0x0C,
    0xA6, 0x4C, 0xCC,
    0xA6, 0x1C, 0x6C,
    0xA6, 0x0C, 0x6C,
    0xA6, 0x0C, 0x6C,
    0xA6, 0x0C, 0x6C,
    0xF3, 0xF3, 0x6C};

const u8 G_hud_valve[24] = {
    0x4C, 0xCC, 0x8C,
    0x8C, 0x4C, 0x4C,
    0x8C, 0x4C, 0x4C,
    0xCC, 0xF3, 0x4C,
    0x8C, 0xF3, 0xCC,
    0x8C, 0x8C, 0x4C,
    0x8C, 0x8C, 0x4C,
    0x4C, 0xCC, 0x8C};