#ifndef OBJECTIVE_H
#define OBJECTIVE_H

// No objective applied to the level.
#define OBJECTIVE_TYPE_NONE 0

// Collect pipes to complete level.
#define OBJECTIVE_TYPE_COLLECT_PIPES 1

// Place pipes in pipe location to complete the level.
#define OBJECTIVE_TYPE_PLACE_PIPES 2

// Collect pipes and collect them within the same level to complete the level.
#define OBJECTIVE_TYPE_COLLECT_AND_PLACE_PIPES 3

// Repair machinery interactables to complete the level.
#define OBJECTIVE_TYPE_FIX_MACHINERY 4

// Turn on valve interactables to complete the level.
#define OBJECTIVE_TYPE_TURN_VALVES 5

#endif