#ifndef TILESPRITES_H
#define TILESPRITES_H

#include <types.h>

extern const u8 G_tile_sand1[64];
extern const u8 G_tile_sand2[64];
extern const u8 G_tile_sand3_grass[64];
extern const u8 G_tile_water_plant1[64];
extern const u8 G_tile_water_plant2[64];
extern const u8 G_tile_water_plant3[64];
extern const u8 G_tile_water_plant4[64];
extern const u8 G_tile_water_rock1[64];
extern const u8 G_tile_land_plant1[64];
extern const u8 G_tile_land_plant2[64];
extern const u8 G_tile_land_plant3[64];
extern const u8 G_tile_land_plant4[64];
extern const u8 G_tile_land_rock1[64];
extern const u8 G_tile_stone1[64];
extern const u8 G_tile_stone2[64];
extern const u8 G_tile_stone3_grass[64];
extern const u8 G_tile_pipe1[64];
extern const u8 G_tile_pipe1a[64];
extern const u8 G_tile_pipe2[64];
extern const u8 G_tile_pipe3[64];
extern const u8 G_tile_pipe4[64];
extern const u8 G_tile_dirt1[64];
extern const u8 G_tile_dirt2[64];
extern const u8 G_tile_dirt3_grass[64];
extern const u8 G_tile_metal1[64];
extern const u8 G_tile_metal2[64];
extern const u8 G_tile_metal3_grass[64];
extern const u8 G_tile_metal4[64];

// This is excluded from the tileGraphics array to use it for background.
extern const u8 G_tile_cave_wall[64];

// Array for accessing tile graphics.
extern u8* const tileGraphics[28];

#endif